<app-loading *ngIf="isLoadingPage"></app-loading>
<form nz-form [formGroup]="form">
  <div nz-row [nzGutter]="[30,30]">
    <!-- Năm -->
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-date-picker
        [mbType]="isSubmitted && form.controls['year'].errors ? 'error' : 'default'"
        [mbShowError]="isSubmitted && form.controls['year'].errors !== null"
        [mbErrors]="form.controls['year'].errors"
        [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.table.year' | translate }}]"
        mbPlaceholderText="{{'staffManager.table.year' | translate}}"
        mbLabelText="{{'staffManager.table.year' | translate}} <span class='label__required'>*</span>"
        mbMode="year"
        formControlName="year"></mb-date-picker>
    </div>

    <!-- Ngày ký HĐ -->
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-date-picker
        mbPlaceholderText="{{'staffManager.table.decisionDay' | translate}}"
        mbLabelText="{{'staffManager.table.decisionDay' | translate}}"
        formControlName="signedDate"></mb-date-picker>
    </div>

    <!-- Cấp quyết định -->
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-select [mbDataSelects]="listDecisionLevel"
                 mbKeyLabel="label"
                 mbKeyValue="value"
                 [mbType]="isSubmitted && form.controls['decisionLevelCode'].errors ? 'error' : 'default'"
                 [mbShowError]="isSubmitted && form.controls['decisionLevelCode'].errors !== null"
                 [mbErrors]="form.controls['decisionLevelCode'].errors"
                 [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.table.decisionLevel' | translate }}]"
                 mbPlaceholder="{{'staffManager.table.decisionLevel' | translate}}"
                 mbLabelText="{{'staffManager.table.decisionLevel' | translate}} <span class='label__required'>*</span>"
                 formControlName="decisionLevelCode"></mb-select>
    </div>

    <!-- Loại khen thưởng -->
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-select [mbDataSelects]="listTitle"
                 mbKeyLabel="label"
                 mbKeyValue="value"
                 [mbType]="isSubmitted && form.controls['titleCode'].errors ? 'error' : 'default'"
                 [mbShowError]="isSubmitted && form.controls['titleCode'].errors !== null"
                 [mbErrors]="form.controls['titleCode'].errors"
                 [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.table.rewardTitle' | translate }}]"
                 mbPlaceholder="{{'staffManager.table.rewardTitle' | translate}}"
                 mbLabelText="{{'staffManager.table.rewardTitle' | translate}} <span class='label__required'>*</span>"
                 formControlName="titleCode"></mb-select>
    </div>

    <!-- Hình thức khen thưởng -->
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-select [mbDataSelects]="listMethod"
                 mbKeyLabel="label"
                 mbKeyValue="value"
                 [mbType]="isSubmitted && form.controls['methodCode'].errors ? 'error' : 'default'"
                 [mbShowError]="isSubmitted && form.controls['methodCode'].errors !== null"
                 [mbErrors]="form.controls['methodCode'].errors"
                 [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.table.rewardForm' | translate }}]"
                 mbPlaceholder="{{'staffManager.table.rewardForm' | translate}}"
                 mbLabelText="{{'staffManager.table.rewardForm' | translate}} <span class='label__required'>*</span>"
                 formControlName="methodCode"></mb-select>
    </div>

    <!-- Ngày hiệu lực -->
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-date-picker
        mbPlaceholderText="{{'staffManager.table.effectiveDate' | translate}}"
        mbLabelText="{{'staffManager.table.effectiveDate' | translate}}"
        formControlName="fromDate"></mb-date-picker>
    </div>

    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-input-text
                      [mbMaxLength]="50"
                      mbPlaceholderText="{{'staffManager.table.documentNumber' | translate}}"
                      [mbType]="isSubmitted && form.controls['documentNumber'].errors ? 'error' : 'default'"
                      [mbShowError]="isSubmitted && form.controls['documentNumber'].errors !== null"
                      [mbErrors]="form.controls['documentNumber'].errors"
                      [mbErrorDefs]="[{ errorName: 'maxlength', errorDescription: 'staffManager.validate.maxLength' | translate: {'numberLength': '50' | translate }}]"
                      mbLabelText="{{'staffManager.table.documentNumber' | translate}}"
                      formControlName="documentNumber"></mb-input-text>
    </div>

    <!--  Người ký  -->
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-input-text
        [mbMaxLength]="200"
        mbPlaceholderText="{{'staffManager.table.signer' | translate}}"
        mbLabelText="{{'staffManager.table.signer' | translate}}"
        formControlName="signer"></mb-input-text>
    </div>

    <!--  Chức danh ký  -->
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-input-text
        [mbMaxLength]="200"
        mbPlaceholderText="{{'staffManager.table.signerPosition' | translate}}"
        mbLabelText="{{'staffManager.table.signerPosition' | translate}}"
        formControlName="signerPosition"></mb-input-text>
    </div>

    <!-- Lý do -->
    <div nz-col [nzXs]="24" [nzLg]="24">
      <mb-input-text [mbIsTextAre]="true"
                     [mbMaxLength]="1000"
                     mbPlaceholderText="{{'staffManager.table.reason' | translate}}"
                     mbLabelText="{{'staffManager.table.reason' | translate}} <span class='label__required'>*</span>"
                     [mbType]="isSubmitted && form.controls['reason'].errors ? 'error' : 'default'"
                     [mbShowError]="isSubmitted && form.controls['reason'].errors !== null"
                     [mbErrors]="form.controls['reason'].errors"
                     [mbErrorDefs]="[{ errorName: 'maxlength', errorDescription: 'staffManager.validate.maxLength' | translate: {'numberLength': '1000' | translate }},
                     { errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.table.reason' | translate }}]"
                     formControlName="reason"></mb-input-text>
    </div>

    <div nz-col [nzXs]="24" [nzLg]="24">
      <mb-input-text [mbIsTextAre]="true"
                     [mbMaxLength]="500"
                     [mbConfig]="{ rows: 3, autoSize: true }"
                     [mbType]="isSubmitted && form.controls['note'].errors ? 'error' : 'default'"
                     [mbShowError]="isSubmitted && form.controls['note'].errors !== null"
                     [mbErrors]="form.controls['note'].errors"
                     [mbErrorDefs]="[{ errorName: 'maxlength', errorDescription: 'staffManager.validate.maxLength' | translate: {'numberLength': '500' | translate }}]"
                      mbPlaceholderText="{{'staffManager.label.note' | translate}}"
                     mbLabelText="{{'staffManager.label.note' | translate}}"
                     formControlName="note"></mb-input-text>
    </div>
  </div>
</form>
